Bug 1183169

Summary: Review Request: ykfde - opening LUKS with yubikey
Product: [Fedora] Fedora Reporter: Benjamin Pereto <bpereto>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bpereto, dev, dominik, johannespfrang, misc, orion, package-review
Target Milestone: ---Flags: orion: needinfo? (bpereto)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-30 21:58:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 177841    

Description Benjamin Pereto 2015-01-16 22:16:21 UTC
Spec URL: https://git.nj0y.ch/rpms/ykfde/ykfde.spec
SRPM URL: https://git.nj0y.ch/rpms/ykfde/ykfde-0.5.1-2.el7.centos.src.rpm
Description: The Package provides the ability to open a LUKS encrypted drive
with the Yubikey in challenge response mode (HMAC-SHA1)
Fedora Account System Username: nj0y

Koji Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8645842 (F21)

Comment 1 Michael S. 2015-01-17 01:49:47 UTC
Hi,

A few notes :
- you should use macro for various path ( /usr/lib/systemd/system for example )
- i would recommand having 1 buildRequires per line, since that's easier to review on git when there is a change ( ie, in the diff )

- if it install a service, it should run some scriplet for systemd, no ?

Comment 2 Benjamin Pereto 2015-01-17 15:06:59 UTC
Hi,

Thank you for your notes. I updated the spec file.

> you should use macro for various path ( /usr/lib/systemd/system for example )

I have the problem, that ex. _libdir is translated to /usr/lib64 on x86_64 systems. no I have changed it to %{_usr}/lib.
Is there another way?

> i would recommand having 1 buildRequires per line, since that's easier to review on git when there is a change ( ie, in the diff )

I changed it that way.

> i would recommand having 1 buildRequires per line, since that's easier to review on git when there is a change ( ie, in the diff )

this case the systemd-service is not required. if you want to change the challenges, then you should.

Comment 3 Benjamin Pereto 2015-01-17 15:12:23 UTC
> if it install a service, it should run some scriplet for systemd, no ?

this case the systemd-service is not required. if you want to change the challenges, then you should.

Comment 4 Florian "der-flo" Lehner 2015-01-18 14:03:18 UTC
hi!

Why don't you use the base source?

> URL:     https://github.com/nj0y/ykfde
> Source:  https://git.nj0y.ch/download/ykfde-%{version}.tar.gz

%{URL} is a fork from https://github.com/eworm-de/mkinitcpio-ykfde without advantages as far as I can say now.
There is also no advantage in using %{Source} from an private git server, which seems like another fork from https://github.com/eworm-de/mkinitcpio-ykfde .

Cheers,
 Flo

Comment 5 Benjamin Pereto 2015-01-18 14:33:31 UTC
Hi!

> Why don't you use the base source?

No problem with that. it's a fork, just to implement the fedora things, which were merged into upstream.
Changed it.

Comment 6 Benjamin Pereto 2015-04-15 14:05:43 UTC
I added a Copr Repository for that:

https://copr.fedoraproject.org/coprs/nj0y/ykfde/

Comment 7 Orion Poplawski 2018-11-20 22:05:59 UTC
Benjamin - Are you still interested in packaging this?